Apache JMeter

## org.apache.jmeter.gui.action
Class CollapseExpand

    java.lang.Object
      org.apache.jmeter.gui.action.CollapseExpand

All Implemented Interfaces:
  Command

    public class CollapseExpand

extends Object
implements Command

Processes the Collapse All and Expand All options.

Constructor Summary
`CollapseExpand()` Constructor for the Close object.

Method Summary
`void` `doAction(ActionEvent e)` This method performs the actual command processing.
`Set<String>` `getActionNames()` Gets the ActionNames attribute of the Close object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollapseExpand

    public CollapseExpand()

  Constructor for the Close object.

Method Detail

### getActionNames

    public Set<String> getActionNames()

  Gets the ActionNames attribute of the Close object.

  Specified by:
    `getActionNames` in interface `Command`
  Returns:
    the ActionNames value

### doAction

    public void doAction(ActionEvent e)

  This method performs the actual command processing.

  Specified by:
    `doAction` in interface `Command`
  Parameters:
    `e` - the generic UI action event

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.